/* Problem URL: https://codeforces.com/contest/369/problem/E */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n, q;
    cin >> n >> q;

    V<pair<int, int>> segs(n);
    for (auto &[l, r] : segs) {
        cin >> l >> r;
    }

    int inf = INT32_MAX >> 1;

    segs.emplace_back(0, 0);
    segs.emplace_back(inf - 1, inf - 1);
    n += 2;
    
    sortv(segs);

    while (__builtin_popcount(n) != 1) {
        n++;
        segs.emplace_back(inf - 1, inf - 1);
    }

    vvi seg(n * 2);

    function<void(int, int, int)> build = [&](int i, int l, int r) {
        if (l == r) {
            seg[i].push_back(segs[i - n].second);
            return;
        }

        int mid = (l + r) / 2;
        build(i * 2, l, mid);
        build(i * 2 + 1, mid + 1, r);
        merge(all(seg[i * 2]), all(seg[i * 2 + 1]), back_inserter(seg[i]));
    };

    build(1, 0, n - 1);

    while (q--) {
        int cnt;
        cin >> cnt;
        vi points(cnt);
        cin >> points;

        points.push_back(0);
        points.push_back(inf);

        sortv(points);
        points.erase(unique(all(points)), points.end());

        int count = 0;

        nrep(i, 1, points.size()) {
            auto find_l = [&](){
                int low = 0;
                int high = n - 1;
                int ans = 0;
                while (low <= high) {
                    int mid = (low + high) / 2;

                    if (segs[mid].first > points[i - 1]) {
                        ans = mid;
                        high = mid - 1;
                        continue;
                    }

                    low = mid + 1;
                }

                return ans;
            };

            auto find_r = [&](){
                int low = 0;
                int high = n - 1;
                int ans = 0;
                while (low <= high) {
                    int mid = (low + high) / 2;

                    if (segs[mid].first < points[i]) {
                        ans = mid;
                        low = mid + 1;
                        continue;
                    }

                    high = mid - 1;
                }

                return ans;
            };

            int tl = find_l();
            int tr = find_r();

            // cout << points[i - 1] << ' ' << points[i] << ' ' << tl << ' ' << tr << '\n';

            if (tl > tr) {
                continue;
            }

            function<int(int, int, int)> search = [&](int nod, int l, int r) -> int {
                if (l > tr || r < tl) {
                    return 0;
                }

                if (l >= tl && r <= tr) {
                    auto itr = upper_bound(all(seg[nod]), points[i] - 1);
                    return itr - upper_bound(all(seg[nod]), points[i - 1]);
                }

                int mid = (l + r) / 2;
                return search(nod * 2, l, mid) + search(nod * 2 + 1, mid + 1, r);
            };

            count += search(1, 0, n - 1);
        }

        cout << n - count - 1 << '\n';
    }
}
